#!/usr/bin/perl

use Getopt::Std;

#getopts('hdlxrpsct:') || &usage;   # See the usage subroutine for more info.
#if ($opt_h) {&usage("Help Message Requested By User"); exit(0);}

###############################################################################
#
# includes
#
###############################################################################

unshift(@INC, '.');		            # local perl files

###############################################################################
#
# MAIN PROGRAM
#
###############################################################################

print "\#\#\# 018 Erratum Script \#\#\#\n";
print "Initializing...\n";

if ($^O eq "MSWin32")
{
  $onPC = 1;
}
else
{
  $onPC = 0;
}

#--- process arguments ---

if ($ARGV[0] && (-e $ARGV[0]))
{
  $fileName = $ARGV[0];
  $erratum_ctl{"mapFile"} = $fileName;
  print "MapFile = $fileName\n";
  require("$fileName");
}
else
{
  print "ERROR: ARGV\[0\] not specified, please specify a map file\n";
  die;
}

if ($ARGV[1] && (-e $ARGV[1]))
{
  $fileName = $ARGV[1];
  $erratum_ctl{"inFile"} = $fileName;
  print "...Input   = $fileName\n";
}
else
{
  print "ERROR: ARGV\[1\] not specified, please specify an input file\n";
  die;
}

if ($ARGV[2])
{
  $fileName = $ARGV[2];
  $erratum_ctl{"outFile"} = $fileName;
  print "...Output   = $fileName\n";
}
else
{
  print "ERROR: ARGV\[2\] not specified, please specify an output file\n";
  die;
}

#--- process options ---

###############################################################################
#
# prefix whatever's needed
#
###############################################################################

$fileName = $erratum_ctl{"inFile"};
if (!open(IN_FILE, "<$fileName"))
{
  print "ERROR: Cannot open input file $fileName!\n"; die;
}

$fileName = $erratum_ctl{"outFile"};
if (!open(OUT_FILE, ">$fileName"))
{
  print "ERROR: Cannot open output file $fileName!\n"; die;
}

print "Fixing...\n";

while (<IN_FILE>)
{
  #--- fixing all Erroneous Parameter names -----------------------------------------------
  foreach $oldName (keys %newParameterName)
  {
    $newName = $newParameterName{$oldName};
    s/(.*)$oldName(.*)/$1$newName$2/g;
  }
  #--- write new line ----------------------------------------------------------
  print OUT_FILE $_;
}
close(OUT_FILE);
close(IN_FILE);
print "done!\n";
exit(0);
