#!/usr/bin/perl

############################################################
#
# global mappings
#
############################################################

$process = "TSMC_CM018RF_BB";

%newModelCardName = (
    "pnp10_3", $process . "_MODEL_pnp10_3",
    "nch3x1", $process . "_MODEL_nch3x1",
    "nanch3", $process . "_MODEL_nanch3",
    "nch3x2", $process . "_MODEL_nch3x2",
    "nch3x3", $process . "_MODEL_nch3x3",
    "nch3", $process . "_MODEL_nch3",
    "nch3x4", $process . "_MODEL_nch3x4",
    "nch3x5", $process . "_MODEL_nch3x5",
    "nanch", $process . "_MODEL_nanch",
    "nch3x6", $process . "_MODEL_nch3x6",
    "nch3x7", $process . "_MODEL_nch3x7",
    "nch3x8", $process . "_MODEL_nch3x8",
    "nch3x9", $process . "_MODEL_nch3x9",
    "pch3", $process . "_MODEL_pch3",
    "pchx10", $process . "_MODEL_pchx10",
    "pchx11", $process . "_MODEL_pchx11",
    "pchx12", $process . "_MODEL_pchx12",
    "nch", $process . "_MODEL_nch",
    "mepch", $process . "_MODEL_mepch",
    "mench3", $process . "_MODEL_mench3",
    "pnp2_3", $process . "_MODEL_pnp2_3",
    "pch3x10", $process . "_MODEL_pch3x10",
    "pch3x11", $process . "_MODEL_pch3x11",
    "pch3x12", $process . "_MODEL_pch3x12",
    "pdio_3", $process . "_MODEL_pdio_3",
    "nanchx1", $process . "_MODEL_nanchx1",
    "nanchx2", $process . "_MODEL_nanchx2",
    "nanch3x1", $process . "_MODEL_nanch3x1",
    "nanch3x2", $process . "_MODEL_nanch3x2",
    "nchx10", $process . "_MODEL_nchx10",
    "nchx11", $process . "_MODEL_nchx11",
    "nchx12", $process . "_MODEL_nchx12",
    "ndio", $process . "_MODEL_ndio",
    "nwdio_3", $process . "_MODEL_nwdio_3",
    "pch3x1", $process . "_MODEL_pch3x1",
    "pdio", $process . "_MODEL_pdio",
    "nchx1", $process . "_MODEL_nchx1",
    "pch3x2", $process . "_MODEL_pch3x2",
    "nchx2", $process . "_MODEL_nchx2",
    "pch3x3", $process . "_MODEL_pch3x3",
    "nchx3", $process . "_MODEL_nchx3",
    "pch3x4", $process . "_MODEL_pch3x4",
    "nchx4", $process . "_MODEL_nchx4",
    "pch3x5", $process . "_MODEL_pch3x5",
    "mench", $process . "_MODEL_mench",
    "nchx5", $process . "_MODEL_nchx5",
    "pch3x6", $process . "_MODEL_pch3x6",
    "nchx6", $process . "_MODEL_nchx6",
    "pch3x7", $process . "_MODEL_pch3x7",
    "nwdio", $process . "_MODEL_nwdio",
    "nchx7", $process . "_MODEL_nchx7",
    "pch3x8", $process . "_MODEL_pch3x8",
    "nchx8", $process . "_MODEL_nchx8",
    "pch3x9", $process . "_MODEL_pch3x9",
    "npn2", $process . "_MODEL_npn2",
    "endio_3", $process . "_MODEL_endio_3",
    "nchx9", $process . "_MODEL_nchx9",
    "pchx1", $process . "_MODEL_pchx1",
    "pchx2", $process . "_MODEL_pchx2",
    "npn5", $process . "_MODEL_npn5",
    "pchx3", $process . "_MODEL_pchx3",
    "pnp5_3", $process . "_MODEL_pnp5_3",
    "pchx4", $process . "_MODEL_pchx4",
    "pch", $process . "_MODEL_pch",
    "pchx5", $process . "_MODEL_pchx5",
    "pnp2", $process . "_MODEL_pnp2",
    "npn8", $process . "_MODEL_npn8",
    "pchx6", $process . "_MODEL_pchx6",
    "pchx7", $process . "_MODEL_pchx7",
    "pchx8", $process . "_MODEL_pchx8",
    "pnp5", $process . "_MODEL_pnp5",
    "pchx9", $process . "_MODEL_pchx9",
    "nch3x10", $process . "_MODEL_nch3x10",
    "nch3x11", $process . "_MODEL_nch3x11",
    "nch3x12", $process . "_MODEL_nch3x12",
    "pnp10", $process . "_MODEL_pnp10",
    "ndio_3", $process . "_MODEL_ndio_3",
);

%newVariableName = (
    "cgon3m", $process . "_VAR_cgon3m",
    "cjna3", $process . "_VAR_cjna3",
    "cgona", $process . "_VAR_cgona",
    "dxw3", $process . "_VAR_dxw3",
    "dvtpm", $process . "_VAR_dvtpm",
    "toxpm", $process . "_VAR_toxpm",
    "toxn3", $process . "_VAR_toxn3",
    "dxl3", $process . "_VAR_dxl3",
    "dvthn3", $process . "_VAR_dvthn3",
    "cgonm", $process . "_VAR_cgonm",
    "dxlna3", $process . "_VAR_dxlna3",
    "dxl", $process . "_VAR_dxl",
    "cgop3", $process . "_VAR_cgop3",
    "hdifpm", $process . "_VAR_hdifpm",
    "hdifn3", $process . "_VAR_hdifn3",
    "dxw3m", $process . "_VAR_dxw3m",
    "dxw", $process . "_VAR_dxw",
    "cjswn", $process . "_VAR_cjswn",
    "cjswp", $process . "_VAR_cjswp",
    "cjswna3", $process . "_VAR_cjswna3",
    "cjn3m", $process . "_VAR_cjn3m",
    "cjpm", $process . "_VAR_cjpm",
    "cjn3", $process . "_VAR_cjn3",
    "cjswgpm", $process . "_VAR_cjswgpm",
    "dxlna", $process . "_VAR_dxlna",
    "cjswgn3", $process . "_VAR_cjswgn3",
    "cjswna", $process . "_VAR_cjswna",
    "toxn", $process . "_VAR_toxn",
    "toxp", $process . "_VAR_toxp",
    "cjswnm", $process . "_VAR_cjswnm",
    "toxna3", $process . "_VAR_toxna3",
    "toxna", $process . "_VAR_toxna",
    "cjswgna3", $process . "_VAR_cjswgna3",
    "cjswp3", $process . "_VAR_cjswp3",
    "hdifn", $process . "_VAR_hdifn",
    "cjswn3m", $process . "_VAR_cjswn3m",
    "dvthna", $process . "_VAR_dvthna",
    "hdifp", $process . "_VAR_hdifp",
    "dxwm", $process . "_VAR_dxwm",
    "toxnm", $process . "_VAR_toxnm",
    "dvtnm", $process . "_VAR_dvtnm",
    "dvtn3m", $process . "_VAR_dvtn3m",
    "cjswgn", $process . "_VAR_cjswgn",
    "cjswgp", $process . "_VAR_cjswgp",
    "hdifna3", $process . "_VAR_hdifna3",
    "toxp3", $process . "_VAR_toxp3",
    "hdifna", $process . "_VAR_hdifna",
    "dxlm", $process . "_VAR_dxlm",
    "dvthp3", $process . "_VAR_dvthp3",
    "cjna", $process . "_VAR_cjna",
    "toxn3m", $process . "_VAR_toxn3m",
    "cjn", $process . "_VAR_cjn",
    "cgon3", $process . "_VAR_cgon3",
    "cjswgna", $process . "_VAR_cjswgna",
    "cgopm", $process . "_VAR_cgopm",
    "cjp", $process . "_VAR_cjp",
    "hdifnm", $process . "_VAR_hdifnm",
    "dvthna3", $process . "_VAR_dvthna3",
    "cgon", $process . "_VAR_cgon",
    "dxl3m", $process . "_VAR_dxl3m",
    "cgop", $process . "_VAR_cgop",
    "hdifp3", $process . "_VAR_hdifp3",
    "cjnm", $process . "_VAR_cjnm",
    "cgona3", $process . "_VAR_cgona3",
    "cjswgnm", $process . "_VAR_cjswgnm",
    "hdifn3m", $process . "_VAR_hdifn3m",
    "dxwna", $process . "_VAR_dxwna",
    "cjp3", $process . "_VAR_cjp3",
    "cjswgp3", $process . "_VAR_cjswgp3",
    "cjswn3", $process . "_VAR_cjswn3",
    "cjswpm", $process . "_VAR_cjswpm",
    "dvthn", $process . "_VAR_dvthn",
    "dvthp", $process . "_VAR_dvthp",
    "cjswng3m", $process . "_VAR_cjswng3m",
    "dxwna3", $process . "_VAR_dxwna3",
    "isa", $process . "_VAR_isa",
    "bfa", $process . "_VAR_bfa",
    "nfa", $process . "_VAR_nfa",
    "rba", $process . "_VAR_rba",
    "rea", $process . "_VAR_rea",
    "rca", $process . "_VAR_rca",
    "rbma", $process . "_VAR_rbma",
    "cjea", $process . "_VAR_cjea",
    "cjca", $process . "_VAR_cjca",
    "isa3", $process . "_VAR_isa3",
    "bfa3", $process . "_VAR_bfa3",
    "nfa3", $process . "_VAR_nfa3",
    "rba3", $process . "_VAR_rba3",
    "rea3", $process . "_VAR_rea3",
    "rca3", $process . "_VAR_rca3",
    "rbma3", $process . "_VAR_rbma3",
    "cjea3", $process . "_VAR_cjea3",
    "cjca3", $process . "_VAR_cjca3",

);

%newSubCktName = (
    "rnpo1rpo", $process . "_SUBCKT_rnpo1rpo",
    "rnpo1", $process . "_SUBCKT_rnpo1",
    "rnod", $process . "_SUBCKT_rnod",
    "rpod", $process . "_SUBCKT_rpod",
    "rppo1", $process . "_SUBCKT_rppo1",
    "rm1", $process . "_SUBCKT_rm1",
    "rnwod", $process . "_SUBCKT_rnwod",
    "rm2", $process . "_SUBCKT_rm2",
    "rnodrpo", $process . "_SUBCKT_rnodrpo",
    "rnpo1w", $process . "_SUBCKT_rnpo1w",
    "rm3", $process . "_SUBCKT_rm3",
    "rm4", $process . "_SUBCKT_rm4",
    "rnwsti", $process . "_SUBCKT_rnwsti",
    "rm5", $process . "_SUBCKT_rm5",
    "rppo1rpo", $process . "_SUBCKT_rppo1rpo",
    "rm6", $process . "_SUBCKT_rm6",
    "rnodw", $process . "_SUBCKT_rnodw",
    "rppo1w", $process . "_SUBCKT_rppo1w",
    "rpodrpo", $process . "_SUBCKT_rpodrpo",
    "rpodw", $process . "_SUBCKT_rpodw",
);

$ifDefPrefix = $process . "_SECTION_";
